import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'qwerbbb_platform_interface.dart';

/// An implementation of [QwerbbbPlatform] that uses method channels.
class MethodChannelQwerbbb extends QwerbbbPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('qwerbbb');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
