import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'qwerbbb_method_channel.dart';

abstract class QwerbbbPlatform extends PlatformInterface {
  /// Constructs a QwerbbbPlatform.
  QwerbbbPlatform() : super(token: _token);

  static final Object _token = Object();

  static QwerbbbPlatform _instance = MethodChannelQwerbbb();

  /// The default instance of [QwerbbbPlatform] to use.
  ///
  /// Defaults to [MethodChannelQwerbbb].
  static QwerbbbPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [QwerbbbPlatform] when
  /// they register themselves.
  static set instance(QwerbbbPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
