import 'package:flutter_test/flutter_test.dart';
import 'package:qwerbbb/qwerbbb.dart';
import 'package:qwerbbb/qwerbbb_platform_interface.dart';
import 'package:qwerbbb/qwerbbb_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockQwerbbbPlatform
    with MockPlatformInterfaceMixin
    implements QwerbbbPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final QwerbbbPlatform initialPlatform = QwerbbbPlatform.instance;

  test('$MethodChannelQwerbbb is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelQwerbbb>());
  });

  test('getPlatformVersion', () async {
    Qwerbbb qwerbbbPlugin = Qwerbbb();
    MockQwerbbbPlatform fakePlatform = MockQwerbbbPlatform();
    QwerbbbPlatform.instance = fakePlatform;

    expect(await qwerbbbPlugin.getPlatformVersion(), '42');
  });
}
